Bug 1267198 - Review Request: perl-Sereal - Fast, compact, powerful binary (de-)serialization
Review Request: perl-Sereal - Fast, compact, powerful binary (de-)serialization
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1266751
  Show dependency treegraph
 
Reported: 2015-09-29 06:05 EDT by Petr Pisar
Modified: 2016-02-08 04:43 EST (History)
3 users (show)

See Also:
Fixed In Version: perl-Sereal-3.005-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-30 04:27:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2015-09-29 06:05:13 EDT
Spec URL: https://ppisar.fedorapeople.org/perl-Sereal/perl-Sereal.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Sereal/perl-Sereal-3.005-1.fc24.src.rpm
Description:
Sereal is an efficient, compact-output, binary and feature-rich serialization
protocol. The Perl encoder is implemented as the Sereal::Encoder module, the
Perl decoder correspondingly as Sereal::Decoder. This Sereal module is a very
thin wrapper around both Sereal::Encoder and Sereal::Decoder. It depends on
both and loads both.

Fedora Account System Username: ppisar
Comment 1 Upstream Release Monitoring 2015-09-29 06:21:07 EDT
jplesnik's scratch build of perl-Sereal-3.005-1.fc24.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11265140
Comment 2 Jitka Plesnikova 2015-09-29 06:35:40 EDT
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Sereal-3.005-1.fc24.noarch.rpm | sort | uniq -c
      1 perl >= 0:5.008
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(Exporter)
      1 perl(Sereal::Decoder) >= 3.005
      1 perl(Sereal::Encoder) >= 3.005
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1

Binary requires are Ok.

$ rpm -qp --provides perl-Sereal-3.005-1.fc24.noarch.rpm | sort | uniq -c
      1 perl(Sereal) = 3.005
      1 perl-Sereal = 3.005-1.fc24

Binary provides are Ok.

$ rpmlint perl-Sereal*
perl-Sereal.noarch: W: spelling-error Summary(en_US) de -> DE, ed, d
perl-Sereal.src: W: spelling-error Summary(en_US) de -> DE, ed, d
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Rpmlint is ok

The package is good.
APPROVED.
Comment 3 Petr Pisar 2015-09-29 08:57:42 EDT
New Package SCM Request
=======================
Package Name: perl-Sereal
Short Description: Fast, compact, powerful binary (de-)serialization
Upstream URL: http://search.cpan.org/dist/Sereal/
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2015-09-29 15:30:03 EDT
Git done (by process-git-requests).
Comment 5 Petr Šabata 2016-02-08 04:43:40 EST
*** Bug 1305261 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.